%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}typelib\\((Gd|GdPrivate)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\((Gd|GdPrivate)\\)

Name:		gnome-books
Version:	3.34.0
Release:	%mkrel 3
Summary:	Books is an e-book manager application for GNOME
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Books
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	poppler
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(evince-document-3.0) >= 3.13.3
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.13.3
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.39.3
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.31.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22.15
BuildRequires:	pkgconfig(libgdata) >= 0.13.3
BuildRequires:	pkgconfig(libgepub-0.6)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(tracker-control-2.0) >= 0.17.3
BuildRequires:	pkgconfig(tracker-sparql-2.0) >= 0.17.3
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 2.6.0

%description
Books is an e-book manager application for GNOME.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/girepository-1.0
%{_libdir}/%{name}/girepository-1.0/Gd-1.0.typelib
%{_libdir}/%{name}/girepository-1.0/GdPrivate-1.0.typelib
%{_libdir}/%{name}/libgd.so
%{_libdir}/%{name}/libgdprivate-1.0.so
%{_datadir}/applications/org.gnome.Books.desktop
%{_datadir}/dbus-1/services/org.gnome.Books.service
%{_datadir}/glib-2.0/schemas/org.gnome.Books.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.books.gschema.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/gir-1.0
%{_datadir}/%{name}/gir-1.0/Gd-1.0.gir
%{_datadir}/%{name}/gir-1.0/GdPrivate-1.0.gir
%{_datadir}/%{name}/org.gnome.Books
%{_datadir}/%{name}/org.gnome.Books.data.gresource
%{_datadir}/%{name}/org.gnome.Books.src.gresource
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Books.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Books-symbolic.svg
%{_datadir}/metainfo/org.gnome.Books.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Feb 24 2020 tv <tv> 3.34.0-3.mga8
+ Revision: 1549847
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1530917
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 tv <tv> 3.34.0-1.mga8
+ Revision: 1437788
- fix filelist
+ ovitters <ovitters>
- new version 3.34.0

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-2.mga8
+ Revision: 1429045
- rebuild for gnome-desktop

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427403
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-3.mga7
+ Revision: 1392269
- Rebuild with meson 0.50.1

* Thu Mar 28 2019 wally <wally> 3.32.0-2.mga7
+ Revision: 1380786
- filter out private typelib requires and provides

* Sun Mar 10 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373587
- initial package gnome-books

